import request from '@/utils/request'

// 查询产线信息列表
export function listBaseProdlineInfo(query) {
  return request({
    url: '/mes/baseProdlineInfo/list',
    method: 'get',
    params: query
  })
}

// 查询产线信息列表
export function findProdLineList(query) {
  return request({
    url: '/mes/baseProdlineInfo/findProdLineList',
    method: 'get',
    params: query
  })
}

// 查询产线信息详细
export function getBaseProdlineInfo(prodlineId) {
  return request({
    url: '/mes/baseProdlineInfo/' + prodlineId,
    method: 'get'
  })
}

// 新增产线信息
export function addBaseProdlineInfo(data) {
  return request({
    url: '/mes/baseProdlineInfo',
    method: 'post',
    data: data
  })
}

// 修改产线信息
export function updateBaseProdlineInfo(data) {
  return request({
    url: '/mes/baseProdlineInfo',
    method: 'put',
    data: data
  })
}

// 删除产线信息
export function delBaseProdlineInfo(prodlineId) {
  return request({
    url: '/mes/baseProdlineInfo/' + prodlineId,
    method: 'delete'
  })
}
